#!/usr/bin/env ruby
#
# Rwv2 -- Microsoft Word Parser extension
# Copyright (C) 2003 Hannes Wyss, ywesee - intellectual capital connected
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ywesee - intellectual capital connected
# Winterthurerstrasse 52, CH-8006 Zrich, Switzerland
# hwyss@ywesee.com
#
# Rwv2 -- Rwv2 -- 21.8.2003 -- hwyss@ywesee.com

module Rwv2
	class SubDocumentHandler
		def body_start; end
		def body_end; end
		def footnote_start; end
		def footnote_end; end
		def headers_start; end
		def headers_end; end
		def header_start(header_data); end
		def header_end; end
	end
	class TableHandler
		def row_start(table_properties); end
		def row_end; end
		def cell_start; end
		def cell_end; end
	end
	class TextHandler
		def section_start(section_properties); end
		def section_end; end
		def page_break; end
		def paragraph_start(paragraph_properties); end
		def paragraph_end; end
		def run_of_text(text, character_properties); end
	end
end
